Bug 150013 - invalid format string conversion
invalid format string conversion
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: proj (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn McCann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 12:05 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 12:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-03-01 12:05:49 EST
Description of problem:

I just tried to compile package proj-4.4.8-4 from 
Redhat Fedora Extras development tree.

The Intel compiler said

pj_gridinfo.c(491): warning #269: invalid format string conversion

The source code is

                    fprintf( stderr, "pj_gridinfo_init_ntv2(): "
                             "failed to find parent %8.8s for %.\n",
                             (const char *) header+24, gi->ct->id );
 
I'm not sure if the compiler is complaining about the %8.8s specifier,
or the %. specifier. They both look wrong to me. Suggest %8s and %d


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Kaplan 2005-03-02 18:57:45 EST
What do you mean by intel compiler?  Were you using gcc?

I suggest you submit a bug report to remotesensing.org at:

http://bugzilla.remotesensing.org/enter_bug.cgi?product=PROJ.4

and paste a link to the bug here.  I will follow your progress.
Comment 2 David Binderman 2005-03-03 05:14:18 EST
>What do you mean by intel compiler?  

Intel are a large computer chip manufacturer. They make a 
C compiler for their chips. I used version 8.1

>Were you using gcc?

No, Intel. You can get gcc to complain, if you use the -Wall flag.

>I suggest you submit a bug report to remotesensing.org

Thanks for your suggestion, but I won't be doing this.
I've got hundreds of packages to fix, and having to deal with third 
parties for every one isn't practical.

Feel free to submit the bug report if you like.

I understand Extras is a volunteer project.
Comment 3 Shawn McCann 2005-07-06 20:10:35 EDT
I compiled both proj-4.4.8 and proj-4.4.9 using gcc on FC4 with the Wall flag
turned on. In both cases, gcc raised a warning for the line of code in question.

This issue could be resolved by changing the format string from

"failed to find parent %8.8s for %.\n"

to

"failed to find parent %8.8s for %d\n"

I have raised this as an upstream bug with the proj team (see bug #886 at
http://bugzilla.remotesensing.org).

I can upgrade Fedora Extras to use proj-4.4.9 and generate a patch to fix this,
however I'm still trying to get my CVS access sorted out.
Comment 4 Shawn McCann 2005-07-07 00:24:35 EDT
I've been in touch with the upstream maintainer and they've patched the source
code and resolved the bug. I've created a patch with the same fix and will
submit it to CVS as soon as I can get access. I will also upgrade the package to
proj-4.4.9 which should resolve one of the other bugzilla issues against this
package.
Comment 5 Michael Schwendt 2005-07-26 12:37:20 EDT
[just reassigning...]
Comment 6 Shawn McCann 2005-08-03 12:01:25 EDT
The new version of proj (4.4.9-1) is now in FC4 and devel. This version contains
the patch to resolve this so I am closing the issue.

Note You need to log in before you can comment on or make changes to this bug.